Symfony 3 – Não há CSPRNG adequado

Estou recebendo este erro no meu servidor de teste com o PHP 5.5 ( Symfony 3.0.9 ):

insira a descrição da imagem aqui

Tudo está certo no meu servidor local criado com o XAMPP com o PHP 5.6. Eu sei que existem duas soluções alternativas:

  1. Paragonie / random_compat downgrade
  2. alterando random_bytes() para openssl_random_pseudo_bytes() .

Mas ainda assim, eu gostaria de usá-los como último recurso. Existe alguma outra maneira de CONFIGURAR esse problema?

Na verdade, são duas das 3 soluções únicas.

Como o problema é apenas no seu servidor (isso aconteceu comigo também), você poderia ir ao seu domínio e adicionar /dev/urandom à sua propriedade de configuração open_basedir existente na configuração do servidor.

Leia este artigo que oferece 3 soluções (e de acordo com a sua necessidade, apenas a solução # 3 funcionaria).